# Guides

The `guides` directory contains information about specific things encountered *when contributing to the Cypress project* that fall outside the scope of `CONTRIBUTING.md`, which is more geared towards everyday development in this repo.

For information about using Cypress for testing web applications, visit [`docs.cypress.io`](https://docs.cypress.io).

For information related to a specific package in the monorepo, see that package's respective `README.md`.

For general contributor information, check out [`CONTRIBUTING.md`](../CONTRIBUTING.md).

## Table of Contents

* [Building release artifacts](./building-release-artifacts.md)
* [Code signing](./code-signing.md)
* [Determining the next version of Cypress to be released](./next-version.md)
* [Error handling](./error-handling.md)
* [Patching packages](./patch-package.md)
* [Release process](./release-process.md)
* [Testing other projects](./testing-other-projects.md)