import React from 'react'

export const CircleCI = (props) => {
  return (
    <svg
      width="1em"
      height="1em"
      viewBox="0 0 124 127"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <path
        d="M60.9 48.6c8.3 0 14.9 6.7 14.9 14.9s-6.7 14.9-14.9 14.9S46 71.7 46 63.5s6.6-14.9 14.9-14.9zm0-47.9C31.7.7 7.1 20.7.1 47.8c-.1.2-.1.5-.1.7 0 1.6 1.3 3 3 3h25.3c1.2 0 2.2-.7 2.7-1.7v-.1c5.2-11.3 16.6-19.1 29.8-19.1 18.2 0 32.9 14.7 32.9 32.9S79 96.4 60.8 96.4c-13.2 0-24.6-7.8-29.8-19.1l-.1-.1c-.5-1.1-1.5-1.7-2.7-1.7H3c-1.7 0-3 1.3-3 3 0 .3 0 .5.1.7 7 27.1 31.5 47.1 60.8 47.1 34.7 0 62.8-28.1 62.8-62.8C123.7 28.8 95.5.7 60.9.7z"
        fill="#000"
        fillRule="nonzero"
      />
    </svg>
  )
}

export const GitHubActions = (props) => {
  return (
    <svg
      width="1em"
      height="1em"
      viewBox="0 0 48 48"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <path
        clipRule="evenodd"
        d="M10 1a9 9 0 019 9 9 9 0 01-9 9 9 9 0 01-9-9 9 9 0 019-9zM23 19a6 6 0 110 12 6 6 0 010-12zM23 35a6 6 0 110 12 6 6 0 010-12z"
        stroke="var(--color-marketing-icon-primary, #2088FF)"
        strokeWidth={2}
        strokeLinecap="round"
        strokeLinejoin="round"
      />
      <path
        clipRule="evenodd"
        d="M41 35a6 6 0 110 12 6 6 0 010-12z"
        stroke="var(--color-marketing-icon-secondary, #79B8FF)"
        strokeWidth={2}
        strokeLinecap="round"
        strokeLinejoin="round"
      />
      <path
        d="M25.037 23.607l-3.07 3.065-1.49-1.485"
        stroke="var(--color-marketing-icon-primary, #2088FF)"
        strokeWidth={2}
        strokeLinecap="round"
        strokeLinejoin="round"
      />
      <path
        clipRule="evenodd"
        d="M41 19a6 6 0 110 12 6 6 0 010-12z"
        stroke="var(--color-marketing-icon-primary, #2088FF)"
        strokeWidth={2}
        strokeLinecap="round"
        strokeLinejoin="round"
      />
      <path
        d="M43.036 23.607l-3.069 3.065-1.49-1.485M7 6.812a1 1 0 011.533-.846l5.113 3.22a1 1 0 01-.006 1.697l-5.113 3.17A1 1 0 017 13.203V6.813zM9 19v15c0 3.866 3.177 7 7 7h1"
        stroke="var(--color-marketing-icon-primary, #2088FF)"
        strokeWidth={2}
        strokeLinecap="round"
        strokeLinejoin="round"
      />
      <path
        d="M16.949 26a1 1 0 100-2v2zM8 19.035A6.965 6.965 0 0014.965 26v-2A4.965 4.965 0 0110 19.035H8zM14.965 26h1.984v-2h-1.984v2z"
        fill="var(--color-marketing-icon-primary, #2088FF)"
      />
      <path
        d="M29.055 25h5.944"
        stroke="var(--color-marketing-icon-primary, #2088FF)"
        strokeWidth={2}
        strokeLinecap="round"
        strokeLinejoin="round"
      />
      <path
        fillRule="evenodd"
        clipRule="evenodd"
        d="M21 40a1 1 0 11-.001 2.001A1 1 0 0121 40zM25 40a1 1 0 11-.001 2.001A1 1 0 0125 40z"
        fill="var(--color-marketing-icon-secondary, #79B8FF)"
      />
      <path
        d="M34.005 41.007l-1.013.033"
        stroke="var(--color-marketing-icon-secondary, #79B8FF)"
        strokeWidth={2}
        strokeLinecap="round"
      />
    </svg>
  )
}

export const Bitbucket = (props) => {
  return (
    <svg
      width="1em"
      height="1em"
      viewBox="0 0 28 25"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <defs>
        <linearGradient
          x1="108.633%"
          y1="30.097%"
          x2="46.927%"
          y2="65.817%"
          id="bitbucket_svg__a"
        >
          <stop stopColor="#0052CC" offset="18%" />
          <stop stopColor="#2684FF" offset="100%" />
        </linearGradient>
      </defs>
      <g fillRule="nonzero" fill="none">
        <path
          d="M.88.156A.88.88 0 000 1.178l3.737 22.686c.096.573.59.994 1.17.999h17.928a.88.88 0 00.88-.74l3.747-22.936a.88.88 0 00-.88-1.022L.88.156zm15.736 16.397h-5.722l-1.55-8.09h8.659l-1.387 8.09z"
          fill="#2684FF"
        />
        <path
          d="M26.704 8.416h-8.261l-1.387 8.09h-5.722L4.578 24.53c.214.185.487.288.77.29H23.28a.88.88 0 00.88-.739l2.544-15.665z"
          fill="url(#bitbucket_svg__a)"
          transform="translate(-.44 .047)"
        />
      </g>
    </svg>
  )
}

export const GitLab = (props) => {
  return (
    <svg
      width="1em"
      height="1em"
      viewBox="0 0 371 342"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <g fillRule="nonzero" fill="none">
        <path
          fill="#E24329"
          d="M185.398 341.13l68.013-209.322H117.39L185.4 341.13z"
        />
        <path
          fill="#FC6D26"
          d="M185.398 341.13l-68.013-209.322h-95.32L185.4 341.128z"
        />
        <path
          d="M22.066 131.807l-20.67 63.611a14.08 14.08 0 005.117 15.744L185.398 341.13 22.066 131.807z"
          fill="#FCA326"
        />
        <path
          d="M22.066 131.808h95.32L76.42 5.735c-2.107-6.487-11.284-6.487-13.39 0L22.065 131.808h.001z"
          fill="#E24329"
        />
        <path
          fill="#FC6D26"
          d="M185.398 341.13l68.013-209.322h95.32L185.4 341.128z"
        />
        <path
          d="M348.73 131.807l20.67 63.611a14.08 14.08 0 01-5.117 15.744L185.398 341.13 348.73 131.807z"
          fill="#FCA326"
        />
        <path
          d="M348.73 131.808h-95.32L294.376 5.735c2.108-6.487 11.285-6.487 13.392 0l40.963 126.073h-.001z"
          fill="#E24329"
        />
      </g>
    </svg>
  )
}

export const AWSCodeBuild = (props) => {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      xmlnsXlink="http://www.w3.org/1999/xlink"
      viewBox="0 0 74.375 85"
      fill="#fff"
      fillRule="evenodd"
      stroke="#000"
      strokeLinecap="round"
      strokeLinejoin="round"
      width="1em"
      height="1em"
      {...props}
    >
      <use xlinkHref="#aws-codebuild_svg__a" x={2.188} y={2.5} />
      <symbol id="aws-codebuild_svg__a" overflow="visible">
        <g stroke="none">
          <path
            d="M13.99 50.117l-5.041-.81L0 50.058 4.402 64.79l9.588-14.673z"
            fill="#b7ca9d"
          />
          <path
            d="M0 33.298v13.376l4.526.615 8.825-6.868-8.825-7.727L0 33.298z"
            fill="#4b612c"
          />
          <path
            d="M4.526 51.024l9.464-.907v13.405l-9.464.644-3.65-6.986 3.65-6.156z"
            fill="#759c3e"
          />
          <path
            d="M9.072 30.702l4.917-.78-9.464-14.849L0 29.941l9.072.761z"
            fill="#3c4929"
          />
          <path
            d="M4.526 14.41l9.464 2.107v13.405l-9.464-.898V14.41zm0 18.312l9.464.595v13.415l-9.464.605V32.722z"
            fill="#759c3e"
          />
          <path
            d="M13.99 25.942l7.237-1.6-9.918-12.81-6.783 13.151 9.464 1.259z"
            fill="#3c4929"
          />
          <path
            d="M11.309 11.22l9.918 2.634v10.488l-9.918-1.581V11.22z"
            fill="#759c3e"
          />
          <path
            d="M21.227 55.639l-7.217-1.6-9.484 1.268 6.784 13.522 9.918-13.19z"
            fill="#b7ca9d"
          />
          <path
            d="M11.309 57.24l9.918-1.581v10.527l-9.918 2.644-8.969-6.585 8.969-5.005z"
            fill="#759c3e"
          />
          <path
            d="M69.928 29.932l-9.072.761-12.093-1.912 9.856-17.6 11.309 18.751z"
            fill="#3c4929"
          />
          <path
            d="M4.526 55.308v-4.322L0 50.059v13.376l11.309 5.356V57.23l-6.784-1.922z"
            fill="#4b612c"
          />
          <path
            d="M69.949 50.068l-9.072-.761-12.114 1.922 9.856 17.239 11.33-18.4z"
            fill="#b7ca9d"
          />
          <path
            d="M58.619 11.181l-9.856 2.624v14.976l9.856-1.122 10.722-6.127-10.722-10.351zm0 20.497l-9.856.761v14.976l9.856.742 10.722-7.883-10.722-8.595zm0 20.742l-9.856-1.132v14.976l9.856 2.634 9.917-10.702-9.917-5.776z"
            fill="#4b612c"
          />
          <g fill="#3c4929">
            <path d="M24.598 6.878l-9.907 14.927 10.082 1.746 10.217-2.254L24.598 6.878z" />
            <path d="M55.248 26.957l-10.093 1.249-20.557-3.258L34.99.098l20.258 26.859z" />
          </g>
          <path
            d="M34.99 51.396L54.444 40.03 34.99 28.576l-10.392 1.405V50l10.392 1.395z"
            fill="#4b612c"
          />
          <path
            d="M34.99 28.576v22.819l20.258-2.732V31.308L34.99 28.576z"
            fill="#759c3e"
          />
          <g fill="#b7ca9d">
            <path d="M55.248 53.054l-10.093-1.258-20.557 3.268L34.99 79.99l20.258-26.937z" />
            <path d="M34.928 58.673l-10.082-2.234-10.114 1.756 9.485 16.322 10.711-15.844z" />
          </g>
          <path
            d="M14.68 58.185V70.39L34.989 80l18.938-17.756-18.938-5.063-10.392-2.117v5.932l-9.917-2.81zm-3.371-35.424V11.22L0 16.566v13.376l4.526-.917v-4.342l6.784-1.922zm13.289-3.765v5.951L34.99 22.84l18.701-5.063L34.989.02 14.68 9.62v12.185l9.918-2.81z"
            fill="#4b612c"
          />
          <path
            d="M34.99 0v22.839l20.258 4.117V9.581L34.99 0zM70 29.952V16.566l-11.381-5.385V27.64L70 29.952zm0 16.721V33.308l-11.381-1.541v16.449L70 46.673zM34.99 57.181v22.81l20.258-9.59V53.054L34.99 57.181zM70 63.425V50.059l-11.381 2.312V68.81L70 63.425z"
            fill="#759c3e"
          />
        </g>
      </symbol>
    </svg>
  )
}

export const CISingleIcon = (props) => {
  return (
    <svg
      width="1em"
      height="1em"
      viewBox="0 0 24 14"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <rect x={6} y={7} width={18} height={3} rx={2} fill="currentColor" />
    </svg>
  )
}

export const CIMultiIcon = (props) => {
  return (
    <svg
      width="1em"
      height="1em"
      viewBox="0 0 24 14"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <rect x={5} width={18} height={3} rx={2} fill="currentColor" />
      <rect y={8} width={18} height={3} rx={2} fill="currentColor" />
      <rect x={11} y={16} width={12} height={3} rx={2} fill="currentColor" />
    </svg>
  )
}
